#include<bits/stdc++.h>
using namespace std;
int main()
{
    int n,x,y;

    cin>>n;

    vector<int> os2;


    //int os[10000000];
    //fill(&os[0],&os[9999999],0);

    for(int i=0;i<n;i++)
    {
        cin>>x>>y;

        for(int k=0;k<y;k++)os2.push_back(0);

        for(int j=x;j<y;j++)
        {
            os2.at(j)++;
            //os[j]++;
        }
    }

    /*for(int i=0;i<10;i++)
    {
        cout<<os2[i]<<endl;
        //cout<<os[i]<<endl;
    }*/

    sort(os2.begin(), os2.end(), [](int a, int b) {
        return a > b;
    });

    for(int i=0;i<10;i++)
    {
        cout<<os2[i]<<endl;
        //cout<<os[i]<<endl;
    }

    int a=os2.at(0),i=0;

    cout<<a<<endl;

    while(os2.at(i)==a)
    {
        i++;
    }

    cout<<i;
    return 0;
}
